Bug 1705339 - mate-applets mateweather-applet does not show weather for the city of Rostov-on-Don in Fedora 27/28/29/30
Summary: mate-applets mateweather-applet does not show weather for the city of Rostov-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmateweather
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 05:59 UTC by Max
Modified: 2019-05-13 08:57 UTC (History)
2 users (show)

Fixed In Version: libmateweather-1.22.0-2.fc30 libmateweather-1.20.2-2.fc28 libmateweather-1.22.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-13 01:07:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Max 2019-05-02 05:59:17 UTC
Description of problem:
In mate-applets -> mateweather-applet does not show weather for the city of Rostov-on-Don in Fedora 27/28/29/30

Version-Release number of selected component (if applicable):
mate-applets-1.22.1-1.fc30.x86_64

How reproducible:


Steps to Reproduce:
1.Select city Rostov-on-Don/Rostov (Ростов-на-Дону/Rostov) in applet preferences
2.mateweather-applet does not show weather

Actual results:
mateweather-applet does not show weather for Rostov-on-Don/Rostov

Expected results:
Show correct weather

Additional info:
This problem there is in Fedora 27/28/29/30

Comment 1 Wolfgang Ulbrich 2019-05-02 07:56:32 UTC
I like to know if it is a problem with the applet or with libweather package.
Do you see the weather information with clock-applet if weather infos is enabled there?

Comment 2 Max 2019-05-02 13:43:25 UTC
For a pure experiment, I changed the system language to English. When I choose Rostov in both applets (mate-weather and clock-applet) weather does not show when I change location to Moscow weather shows correctly

Comment 3 Wolfgang Ulbrich 2019-05-02 15:56:36 UTC
Ok, seems there is an issue with metadata for your city provide by libmateweather.
This needs to be fixed by MATE upstream.
Can you please file out a report at github.
https://github.com/mate-desktop/libmateweather/issues
Thanks.

Comment 4 Wolfgang Ulbrich 2019-05-04 13:58:40 UTC
Your weather station has been changed.

Old airport Rostov-on-Don Airport with weather id URRR i s closed.
https://en.wikipedia.org/wiki/Rostov-on-Don_Airport
Your new weather station is at Platov International Airport with weather id URRP.
https://en.wikipedia.org/wiki/Platov_International_Airport

MATE upstream has fixed that https://github.com/mate-desktop/libmateweather/commit/462bceda2bdcc387ceed367bb085b45cad4bc7b2

I will update libmateweather as soon as possible.
With the update you will have to remove Rostov from their clock and add it again,
or change the weather station id (URRR -> URRP) via dconf-editor.

Comment 5 Fedora Update System 2019-05-04 16:18:52 UTC
libmateweather-1.20.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-81a41893cb

Comment 6 Fedora Update System 2019-05-04 16:18:56 UTC
libmateweather-1.22.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-beef2dbbbc

Comment 7 Fedora Update System 2019-05-04 16:19:00 UTC
libmateweather-1.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9847d8a4ae

Comment 8 Fedora Update System 2019-05-05 00:53:56 UTC
libmateweather-1.22.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-beef2dbbbc

Comment 9 Fedora Update System 2019-05-05 01:50:45 UTC
libmateweather-1.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9847d8a4ae

Comment 10 Fedora Update System 2019-05-05 03:22:48 UTC
libmateweather-1.20.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-81a41893cb

Comment 11 Max 2019-05-07 17:20:41 UTC
I tested it on Fedora 29 and Fedora 30 with libmateweather-1.22.0-2. On Fedora 29 all is fine. On Fedora 30 clock-applet shows weather and weather icon correct, mateweather-applet shows weather correct, but doesn't show weather icon.

Comment 12 Max 2019-05-08 15:28:02 UTC
New info: On Fedora 30, today is storm weather, mateweather-applet shows storm weather icon, but yesterday it didn't show sunny weather icon.

Comment 13 Wolfgang Ulbrich 2019-05-08 15:50:58 UTC
Sometimes it needs some time before the weather info is loaded.
No idea why.

Comment 14 Max 2019-05-10 16:16:25 UTC
Today on Fedora 30 all works fine. Maybe you're rigth-> "Sometimes it needs some time before the weather info is loaded". Thanks a lot for fix

Comment 15 Fedora Update System 2019-05-13 01:07:48 UTC
libmateweather-1.22.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-13 02:12:07 UTC
libmateweather-1.20.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-05-13 08:57:06 UTC
libmateweather-1.22.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.